package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FieldMappingCollection extends AbstractObjectCollection 
{
    public FieldMappingCollection()
    {
        super(FieldMappingInfo.class);
    }
    public boolean add(FieldMappingInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FieldMappingCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FieldMappingInfo item)
    {
        return removeObject(item);
    }
    public FieldMappingInfo get(int index)
    {
        return(FieldMappingInfo)getObject(index);
    }
    public FieldMappingInfo get(Object key)
    {
        return(FieldMappingInfo)getObject(key);
    }
    public void set(int index, FieldMappingInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FieldMappingInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FieldMappingInfo item)
    {
        return super.indexOf(item);
    }
}